<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content class">
                   <div class="content-data">











<ol class="breadcrumb">
  <li>Classes</li>
  <li>RegisterUpload</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>e2e/page-object/operation/voting-material/register/register-upload.po.ts</code>
        </p>

            <p class="comment">
                <h3>Description</h3>
            </p>
            <p class="comment">
                <p>Page object for the register upload section.</p>

            </p>




            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>






                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#root">root</a>
                                </li>
                                <li>
                                    <a href="#uploadInput">uploadInput</a>
                                </li>
                                <li>
                                    <a href="#businessErrors">businessErrors</a>
                                </li>
                                <li>
                                    <a href="#validationErrors">validationErrors</a>
                                </li>
                                <li>
                                    <a href="#duplicateErrors">duplicateErrors</a>
                                </li>
                                <li>
                                    <a href="#undefinedDoiErrors">undefinedDoiErrors</a>
                                </li>
                                <li>
                                    <a href="#duplicateErrorsDownloadButton">duplicateErrorsDownloadButton</a>
                                </li>
                                <li>
                                    <a href="#validationErrorsDownloadButton">validationErrorsDownloadButton</a>
                                </li>
                                <li>
                                    <a href="#undefinedDoiErrorsDownloadButton">undefinedDoiErrorsDownloadButton</a>
                                </li>
                                <li>
                                    <a href="#cancelButton">cancelButton</a>
                                </li>
                                <li>
                                    <a href="#reportTable">reportTable</a>
                                </li>
                                <li>
                                    <a href="#validateButton">validateButton</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>









            <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="root"></a>
                        <span class="name"><b>root</b><a href="#root"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>root()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="11" class="link-to-prism">e2e/page-object/operation/voting-material/register/register-upload.po.ts:11</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadInput"></a>
                        <span class="name"><b>uploadInput</b><a href="#uploadInput"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>uploadInput()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="15" class="link-to-prism">e2e/page-object/operation/voting-material/register/register-upload.po.ts:15</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="businessErrors"></a>
                        <span class="name"><b>businessErrors</b><a href="#businessErrors"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>businessErrors()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">e2e/page-object/operation/voting-material/register/register-upload.po.ts:19</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="validationErrors"></a>
                        <span class="name"><b>validationErrors</b><a href="#validationErrors"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>validationErrors()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">e2e/page-object/operation/voting-material/register/register-upload.po.ts:23</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="duplicateErrors"></a>
                        <span class="name"><b>duplicateErrors</b><a href="#duplicateErrors"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>duplicateErrors()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">e2e/page-object/operation/voting-material/register/register-upload.po.ts:27</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="undefinedDoiErrors"></a>
                        <span class="name"><b>undefinedDoiErrors</b><a href="#undefinedDoiErrors"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>undefinedDoiErrors()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">e2e/page-object/operation/voting-material/register/register-upload.po.ts:31</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="duplicateErrorsDownloadButton"></a>
                        <span class="name"><b>duplicateErrorsDownloadButton</b><a href="#duplicateErrorsDownloadButton"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>duplicateErrorsDownloadButton()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="35" class="link-to-prism">e2e/page-object/operation/voting-material/register/register-upload.po.ts:35</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="validationErrorsDownloadButton"></a>
                        <span class="name"><b>validationErrorsDownloadButton</b><a href="#validationErrorsDownloadButton"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>validationErrorsDownloadButton()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="39" class="link-to-prism">e2e/page-object/operation/voting-material/register/register-upload.po.ts:39</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="undefinedDoiErrorsDownloadButton"></a>
                        <span class="name"><b>undefinedDoiErrorsDownloadButton</b><a href="#undefinedDoiErrorsDownloadButton"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>undefinedDoiErrorsDownloadButton()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="43" class="link-to-prism">e2e/page-object/operation/voting-material/register/register-upload.po.ts:43</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="cancelButton"></a>
                        <span class="name"><b>cancelButton</b><a href="#cancelButton"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>cancelButton()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="47" class="link-to-prism">e2e/page-object/operation/voting-material/register/register-upload.po.ts:47</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="reportTable"></a>
                        <span class="name"><b>reportTable</b><a href="#reportTable"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>reportTable()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="51" class="link-to-prism">e2e/page-object/operation/voting-material/register/register-upload.po.ts:51</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="validateButton"></a>
                        <span class="name"><b>validateButton</b><a href="#validateButton"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>validateButton()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="55" class="link-to-prism">e2e/page-object/operation/voting-material/register/register-upload.po.ts:55</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Cache } from &#x27;../../../cache.po&#x27;;
import { Card } from &#x27;../../../../shared/card&#x27;;
import { UploadInput } from &#x27;../../../../shared/upload-input&#x27;;
import { MatTable } from &#x27;../../../../shared/table&#x27;;

/**
 * Page object for the register upload section.
 */
export class RegisterUpload {

  static get root(): Card {
    return Cache.card(&#x27;registerUpload&#x27;);
  }

  static get uploadInput(): UploadInput {
    return Cache.uploadInputField(&#x27;registerUploadInput&#x27;, this.root.content);
  }

  static get businessErrors() {
    return Cache.element(&#x27;business-error&#x27;).getText();
  }

  static get validationErrors() {
    return Cache.element(&#x27;validationErrors&#x27;);
  }

  static get duplicateErrors() {
    return Cache.element(&#x27;duplicateErrors&#x27;);
  }

  static get undefinedDoiErrors() {
    return Cache.element(&#x27;undefinedDoiErrors&#x27;);
  }

  static get duplicateErrorsDownloadButton() {
    return Cache.button(&#x27;duplicateErrorsDownloadButton&#x27;);
  }

  static get validationErrorsDownloadButton() {
    return Cache.button(&#x27;validationErrorsDownloadButton&#x27;);
  }

  static get undefinedDoiErrorsDownloadButton() {
    return Cache.button(&#x27;undefinedDoiErrorsDownloadButton&#x27;);
  }

  static get cancelButton() {
    return Cache.button(&#x27;cancelButton&#x27;);
  }

  static get reportTable(): MatTable {
    return Cache.table(&#x27;registerReportTable&#x27;);
  }

  static get validateButton() {
    return Cache.button(&#x27;validateImport&#x27;);
  }
}
</code></pre>
    </div>
</div>







                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'class';
            var COMPODOC_CURRENT_PAGE_URL = 'RegisterUpload.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
